Bug 1077998 - [drm] GPU HANG: ecode 9:0:0x85dffffb, in X [1533], reason: Hang on rcs0, action: reset
[drm] GPU HANG: ecode 9:0:0x85dffffb, in X [1533], reason: Hang on rcs0, acti...
Status: RESOLVED UPSTREAM
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-29 14:33 UTC by Jan T
Modified: 2018-02-07 07:50 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
/sys/class/drm/card0/error (31.10 KB, application/x-bzip)
2018-01-29 14:33 UTC, Jan T
Details
dmesg (1.04 KB, text/plain)
2018-01-29 14:34 UTC, Jan T
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan T 2018-01-29 14:33:14 UTC
Created attachment 757908 [details]
/sys/class/drm/card0/error

Hi, 

since the latest Mesa update from 17.2.6 to 17.3.3 I have random GPU hangs which causes X to restart (GPU reset). Not really reproducible but 1-2 times in an 8 hour time frame.

As proposed in dmesg I filed a bug at freedesktop.org:

https://bugs.freedesktop.org/show_bug.cgi?id=104839


Regards,

Jan
Comment 1 Jan T 2018-01-29 14:34:19 UTC
Created attachment 757909 [details]
dmesg
Comment 2 Max Staudt 2018-01-30 15:59:30 UTC
Jan, thanks for reporting upstream and keeping us in the loop!

Unfortunately it will take a while before we build Mesa 18 for openSUSE, and unless there is a somewhat clear way to reproduce this, I'm afraid we can't try to spot the change in 17.3.3 either.


CC msrb - you worked on Mesa lately. Do you think we could go back to 17.2.6 in Factory for a while, until Mesa 18.0.0 is out?
Comment 4 Jan T 2018-01-30 16:04:03 UTC
Hi Max,
just FTR:
I already installed 18.0 RC3 by using a home repo from the OBS.
Today I didn't have any further GPU hangs but I will keep an eye on it.
Comment 5 Max Staudt 2018-01-30 16:08:45 UTC
Thanks! Then we'll keep 17.3.3, and as soon as we update to Mesa 18.0.0, you can change back to the distribution package.

Let's close this as RESOLVED UPSTREAM.

If you can, please let the upstream developers know that your machine is stable once you're confident. Thanks for reporting!
Comment 6 Jan T 2018-02-02 08:01:57 UTC
Again, just FTR:
As reported upstream no further GPU hangs with 18.0 RC3 the past days. Will try to test with upcoming RC releases.
Comment 7 Stefan Dirsch 2018-02-02 11:03:00 UTC
(In reply to Jan T from comment #6)
> Again, just FTR:
> As reported upstream no further GPU hangs with 18.0 RC3 the past days. Will
> try to test with upcoming RC releases.

Thanks for the update, Jan! May I ask, where you found Mesa 18.0 RC in our buildservice?
Comment 8 Jan T 2018-02-02 11:19:23 UTC
Sure.

I took this home repo:
https://build.opensuse.org/package/show/home:mimi_vx:test/Mesa
which I copied over to my on repo to stay on RC3
https://build.opensuse.org/package/show/home:jaltekger/Mesa

Off-topic:
However with the latest TW upgrade I had a new problem: SDDM shows only a white screen and I don't know what is causing it. Reverting Mesa back to 17.3.3 resolved it (I was able to login again) but then the GPU hangs came back :(

So now I'm trying to revert Mesa back to 17.2.6...

As Mesa 18.0 is not yet official I didn't opened an other issue.
Comment 9 Stefan Dirsch 2018-02-02 18:56:38 UTC
Thanks for letting me know, Jan!
Comment 10 Jan T 2018-02-07 07:50:00 UTC
FYI: As Mesa RC3 is now in the official TW repos I created boo#1079748 for the white login screen issue.